Tech Draw: Zakreskuj

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Hatch and the translation is 78% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw Hatch.svg TechDraw: Zakreskuj

Lokalizacja w menu
TechDraw → Kreskowanie na powierzchni za pomocą pliku obrazu
Środowisko pracy
TechDraw
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Zastosuj kreskowanie geometryczne na powierzchni, TechDraw: Kreskowanie

Wprowadzenie

Narzędzie Hatch wypełnia zamknięty obszar w widoku wzorcem kreskowania, którym mogą być pliki SVG lub bitmap. W odróżnieniu od tego, narzędzie TechDraw GeomHatch.svg Geometric Hatch wykorzystuje konkretny plik wzoru PAT, szczegółowe informacje znajdują się w Hatching.

TechDraw Hatch example.png

SVG hatch pattern on a face

Jak używać

  1. Wybierz zamknięty obszar w widoku.
  2. Naciśnij przycisk TechDraw Hatch.svg Kreskowanie powierzchni za pomocą pliku obrazu.
  3. Otworzy się okno dialogowe, w którym można wybrać plik wzoru, skalę i kolor.

Uwagi

  • Obiekty kreskowania są podatne na problemy z nazewnictwem topologicznym. Aby uzyskać więcej informacji, zobacz informacje w narzędziu TechDraw Dimension Length. Zaleca się, aby kreskowanie było jednym z ostatnich kroków w procesie rysowania.
  • Przykładowe wzory SVG są dostępne lokalnie w:
$INSTALL_DIR/data/Mod/TechDraw/Patterns

gdzie $INSTALL_DIR to katalog, w którym zainstalowano FreeCAD, na przykład:

/usr/share/freecad/data/Mod/TechDraw/Patterns

a także na GitHub.

Właściwości

  • DataSource: Widok i ściana, aby otrzymać wzór kreskowania.
  • DataHatch Pattern: Pełna ścieżka i nazwa pliku wzorca SVG.
  • ViewHatch Color: Wzór kreskowania zostanie wyświetlony w tym kolorze.
  • ViewHatch Scale: Modyfikator rozmiaru wzoru kreskowania.

Tworzenie skryptów

Zobacz również: TechDraw API i Podstawy tworzenia skryptów FreeCAD.

Narzędzie Hatch może być używane w makrodefinicjach i z konsoli Python za pomocą następujących funkcji:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawHatch','Hatch')
hatch.Source = (view1,["Face0"])
hatch.HatchPattern = hatchFileSpec
rc = page.addView(hatch)